v2.0

post

/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/shipments/{shipmentId}/received

Deprecated: Marks kits as received in a study's inventory. Rights: OrsInventoryPost and DepotShipmentReceiptPost/OrsBlinded.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : updateKits
Type: object
Additional Properties Allowed
Show Source
Nested Schema : updateNSKits
Type: array
Contains non-serialized kits to be updated for received shipment.
Show Source
Nested Schema : NSKitsRequest v1.0
Type: object
Title: NSKitsRequest v1.0
Request containing non-serialized kits details.
Show Source
  • Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).
    Example: 10
  • Title: Kit Type ID
    Kit type identifier.
  • Title: Lot ID
    Lot ID.
  • Title: Quantity
    Minimum Value: 1
    Kit quantity.
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : ShipmentReceivedResponse
Type: object
Title: ShipmentReceivedResponse
Received shipment details response object.
Show Source

400 Response

'Invalid order status', 'Invalid kit'
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object

404 Response

'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid shipment ID', 'Invalid site ID'
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Back to Top